<!DOCTYPE html>
<html>
  <head>
    <title>Data documentation compiled by Great Expectations</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta charset="UTF-8">
    <title></title>

    
    
    <link rel="stylesheet" href="https://unpkg.com/bootstrap-table@1.19.1/dist/bootstrap-table.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"/>
    <link rel="stylesheet" type="text/css" href="https://unpkg.com/bootstrap-table@1.19.0/dist/extensions/filter-control/bootstrap-table-filter-control.css">
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@forevolve/bootstrap-dark@1.1.0/dist/css/bootstrap-prefers-dark.css" />

    <style>
  

body {
  position: relative;
}

.container {
  padding-top: 50px;
}

.sticky {
  position: -webkit-sticky;
  position: sticky;
  top: 90px;
  z-index: 1;
}

.ge-section {
  clear: both;
  margin-bottom: 30px;
  padding-bottom: 20px;
}

.popover {
  max-width: 100%;
}

.cooltip {
  display: inline-block;
  position: relative;
  text-align: left;
  cursor: pointer;
}

.cooltip .top {
  min-width: 200px;
  top: -6px;
  left: 50%;
  transform: translate(-50%, -100%);
  padding: 10px 20px;
  color: #FFFFFF;
  background-color: #222222;
  font-weight: normal;
  font-size: 13px;
  border-radius: 8px;
  position: absolute;
  z-index: 99999999 !important;
  box-sizing: border-box;
  box-shadow: 0 1px 8px rgba(0, 0, 0, 0.5);
  display: none;
}

.cooltip:hover .top {
  display: block;
  z-index: 99999999 !important;
}

.cooltip .top i {
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -12px;
  width: 24px;
  height: 12px;
  overflow: hidden;
}

.cooltip .top i::after {
  content: '';
  position: absolute;
  width: 12px;
  height: 12px;
  left: 50%;
  transform: translate(-50%, -50%) rotate(45deg);
  background-color: #222222;
  box-shadow: 0 1px 8px rgba(0, 0, 0, 0.5);
}

ul {
  padding-inline-start: 20px;
}

.show-scrollbars {
  overflow: auto;
}

td .show-scrollbars {
  max-height: 80vh;
}

/*.show-scrollbars ul {*/
/*  padding-bottom: 20px*/
/*}*/

.show-scrollbars::-webkit-scrollbar {
  -webkit-appearance: none;
}

.show-scrollbars::-webkit-scrollbar:vertical {
  width: 11px;
}

.show-scrollbars::-webkit-scrollbar:horizontal {
  height: 11px;
}

.show-scrollbars::-webkit-scrollbar-thumb {
  border-radius: 8px;
  border: 2px solid white; /* should match background, can't be transparent */
  background-color: rgba(0, 0, 0, .5);
}

#ge-cta-footer {
  opacity: 0.9;
  border-left-width: 4px
}

.carousel-caption {
    position: relative;
    left: 0;
    top: 0;
}

footer {
  position: fixed;
  border-top: 1px solid #98989861;
  bottom: 0;
  left: 0;
  right: 0;
  height: 32px;
  padding: 4px;
  font-size: 14px;
  text-align: right;
  width: 100%;
  background: white;
  z-index: 100000;
}
footer a {
  padding-right: 8px;
  color: #ff6210;
  font-weight: 600;
}

footer a:hover {
    color: #bc490d;
    text-decoration: underline;
}

/* some css overrides for dark mode*/
@media (prefers-color-scheme: dark) {
  .table {
    color: #f1f1f1 !important;
    background-color: #212529;
  }
  .table-bordered{
    border: #f1f1f1;
  }
  .table-hover tbody tr:hover {
    color: #f1f1f1;
    background-color: rgba(255,255,255,.075);
  }
  .form-control:disabled,
  .form-control[readonly]{
    background-color: #343a40;
    opacity: .8;
  }

  .bg-light {
    background: inherit !important;
  }

  .code-snippet {
    background: #CDCDCD !important;
  }

  .alert-secondary a {
    color: #0062cc;
  }

  .alert-secondary a:focus, .alert-secondary a:hover{
    color: #004fa5;
  }

  .navbar-brand a {
    background: url('https://great-expectations-web-assets.s3.us-east-2.amazonaws.com/full_logo_dark.png') 0 0 no-repeat;
    background-size: 228.75px 50px;
    display: inline-block
  }
  .navbar-brand a img {
    visibility:hidden
  }
  footer {
    border-top: 1px solid #ffffff61;
    background: black;
    z-index: 100000;
  }
  footer a {
    color: #ff6210;
  }

  footer a:hover {
    color: #ff6210;
  }
}</style>
    <style></style>

    
  

<script src="https://cdn.jsdelivr.net/npm/vega@5"></script>
<script src="https://cdn.jsdelivr.net/npm/vega-lite@4"></script>
<script src="https://cdn.jsdelivr.net/npm/vega-embed@6"></script>
<script src="https://kit.fontawesome.com/8217dffd95.js"></script>

<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
<script src="https://unpkg.com/bootstrap-table@1.19.1/dist/bootstrap-table.min.js"></script>
<script src="https://unpkg.com/bootstrap-table@1.19.1/dist/extensions/filter-control/bootstrap-table-filter-control.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>
    
  


  

<link rel="shortcut icon" href="../../../static/images/favicon.ico" type="image/x-icon"/>
  </head>

  <body>
    

    

    
  


  

<nav class="navbar navbar-expand-md sticky-top border-bottom" style="height: 70px">
  <div class="mr-auto">
    <nav class="d-flex align-items-center">
      <div class="float-left navbar-brand m-0 h-100">
        <a href="../../../../index.html">
          <img
            class="NO-CACHE"
            src="https://great-expectations-web-assets.s3.us-east-2.amazonaws.com/logo-long.png?d=20240215T141655.671381Z&dataContextId=a85c6279-6b48-44b1-9731-557c0e64571c"
            alt="Great Expectations"
            style="width: auto; height: 50px"
          />
        </a>
      </div>
      
        <ol class="ge-breadcrumbs breadcrumb d-md-inline-flex bg-light ml-2 mr-0 mt-0 mb-0 pt-0 pb-0 d-none">
            <li class="ge-breadcrumbs-item breadcrumb-item"><a href="../../../../index.html">Home</a></li>
            <li class="ge-breadcrumbs-item breadcrumb-item active" aria-current="page">Validations / test_suite / IN_MEMORY_DATA_ASSET / example_example_run / 2024-02-15T15:16:53Z</li>
        </ol>
      
    </nav>
  </div>
</nav>
    

    <div class="container-fluid pt-4 pb-4 pl-5 pr-5">
      <div class="row">
        <div class="col-lg-2 col-md-2 col-sm-12 d-sm-block px-0">
  <div class="mb-4">
  
    <div class="col-12 p-0">
      <h4>Expectation Validation Result</h4>
      <p class="lead">Evaluates whether a batch of data matches expectations.</p>
    </div>
  
</div>
  <div class="sticky">
    
      <script>
    function showAllValidations() {
    $(".hide-succeeded-validation-target-child").parent().fadeIn();
    $(".hide-succeeded-validation-target").fadeIn();
    $(".hide-succeeded-validations-column-section-target-child").parent().parent().each((idx, el) => {
      $(el).fadeIn();
      const elId = el.id;
      $(`a[href$=${elId}]`).fadeIn();
    })
  }

    function hideSucceededValidations() {
    $(".hide-succeeded-validation-target-child").parent().fadeOut();
    $(".hide-succeeded-validation-target").fadeOut();
    $(".hide-succeeded-validations-column-section-target-child").parent().parent().each((idx, el) => {
      $(el).fadeOut();
      const elId = el.id;
      $(`a[href$=${elId}]`).fadeOut();
    })
  }
</script>

<div class="card mb-3">
  <div class="card-header p-2">
    <strong>Actions</strong>
  </div>
  <div class="card-body p-3">
    
      <div class="mb-2">
        <p class="card-text col-12 p-0 mb-1">
          Validation Filter:
        </p>
        <div class="d-flex justify-content-center">
          <div class="btn-group btn-group-toggle" data-toggle="buttons">
            <label class="btn btn-primary active" onclick="showAllValidations()">
              <input type="radio" name="options" id="option1" autocomplete="off" checked> Show All
            </label>
            <label class="btn btn-primary" onclick="hideSucceededValidations()">
              <input type="radio" name="options" id="option2" autocomplete="off"> Failed Only
            </label>
          </div>
        </div>
      </div>
    
    
  </div>
</div>
    
    
      <div class="card d-md-block d-none" style="max-height: 75vh">
  <div class="card-header p-2">
    <strong>Table of Contents</strong>
  </div>
  <div class="card-body p-0" style="overflow: auto; height: 100%">
    <nav id="navigation" class="rounded navbar   bg-light ge-navigation-sidebar-container p-1" style="max-height: 65vh;">
      <ul class="nav nav-pills ge-navigation-sidebar-content col-12 p-0" style="max-height: 65vh">
        
          
            <li class="nav-item col-12">
              <a class="nav-link ge-navigation-sidebar-link" href="#section-1"
               style="white-space: normal; word-break: break-all;overflow-wrap: normal;">
                <strong>Overview</strong>
              </a>
            </li>
          
        
          
            <li class="nav-item col-12">
              <a class="nav-link ge-navigation-sidebar-link ml-1" href="#section-2"
                 style="white-space: normal; word-break: break-all;overflow-wrap: normal;">
                Table-Level Expectations
              </a>
            </li>
          
        
          
            <li class="nav-item col-12">
              <a class="nav-link ge-navigation-sidebar-link ml-1" href="#section-3"
                 style="white-space: normal; word-break: break-all;overflow-wrap: normal;">
                AWND
              </a>
            </li>
          
        
          
            <li class="nav-item col-12">
              <a class="nav-link ge-navigation-sidebar-link ml-1" href="#section-4"
                 style="white-space: normal; word-break: break-all;overflow-wrap: normal;">
                DATE
              </a>
            </li>
          
        
          
            <li class="nav-item col-12">
              <a class="nav-link ge-navigation-sidebar-link ml-1" href="#section-5"
                 style="white-space: normal; word-break: break-all;overflow-wrap: normal;">
                NAME
              </a>
            </li>
          
        
          
            <li class="nav-item col-12">
              <a class="nav-link ge-navigation-sidebar-link ml-1" href="#section-6"
                 style="white-space: normal; word-break: break-all;overflow-wrap: normal;">
                STATION
              </a>
            </li>
          
        
      </ul>
    </nav>
  </div>
</div>
    
  </div>
</div>
        <div class="col-md-10 col-lg-10 col-xs-12 pl-md-4 pr-md-3">
        
          <div id="section-1" class="ge-section container-fluid mb-1 pb-1 pl-sm-3 px-0">
    <div class="row" >
        

<div id="section-1-content-block-1" class="col-12 p-0" >

    <div id="section-1-content-block-1-header" class="alert alert-secondary" >
        <div>
          
                <h5 class="m-0" >
                    Overview
                </h5>
            
        </div>
      
    
        <div id="section-1-content-block-1-subheader" >
          
                <span class="mb-0 mt-1" >
                    <span class="h6" >Expectation Suite:</span> <a href="../../../../expectations/test_suite.html" >test_suite</a><br> Data asset: IN_MEMORY_DATA_ASSET<br> <span class="h6" >Status:</span> <i class="fas fa-check-circle text-success" aria-hidden="true"></i> Succeeded
                </span>
            
        </div>
      
    </div>

</div>
        

<div id="section-1-content-block-2" class="col-6 table-responsive mt-1 p-1" >

    <div id="section-1-content-block-2-header" >
        
          
            <div>
              
                <h6 class="m-0" >
                    Statistics
                </h6>
            
            </div>
          
        </div>




<table
  id="section-1-content-block-2-body"
  class="table table-sm" style="margin-bottom:0.5rem !important; margin-top:0.5rem !important;" 
  data-toggle="table"
  
>
    
    
    
      
      
      
    
      <thead hidden>
        <tr>
            
                
                <th
                  
                >
                  
                </th>
            
                
                <th
                  
                >
                  
                </th>
            
        </tr>
      </thead>

    <tbody>
      <tr>
          <td id="section-1-content-block-2-cell-1-1" ><div class="show-scrollbars">Evaluated Expectations</div></td><td id="section-1-content-block-2-cell-1-2" ><div class="show-scrollbars">14</div></td></tr><tr>
          <td id="section-1-content-block-2-cell-2-1" ><div class="show-scrollbars">Successful Expectations</div></td><td id="section-1-content-block-2-cell-2-2" ><div class="show-scrollbars">14</div></td></tr><tr>
          <td id="section-1-content-block-2-cell-3-1" ><div class="show-scrollbars">Unsuccessful Expectations</div></td><td id="section-1-content-block-2-cell-3-2" ><div class="show-scrollbars">0</div></td></tr><tr>
          <td id="section-1-content-block-2-cell-4-1" ><div class="show-scrollbars">Success Percent</div></td><td id="section-1-content-block-2-cell-4-2" ><div class="show-scrollbars">100%</div></td></tr></tbody>
</table>

</div>
        

<div id="section-1-content-block-3" class="col-12 p-1" >

    


  
    
    
  
    
  






<div id="section-1-content-block-3-parent" >
  
    <p class="m-0">
      <a data-toggle="collapse" href="#section-1-content-block-3-collapse-body-23813f3e-ddae-429c-a5d6-540ae3b8a0d8" aria-expanded="false" aria-controls="section-1-content-block-3-collapse-body" >
        Show more info...
      </a>
    </p>
  

  <div id=section-1-content-block-3-collapse-body-23813f3e-ddae-429c-a5d6-540ae3b8a0d8 class="card card-body collapse m-2" >
    
    
    
      
      
      <div id="section-1-content-block-3-collapse-item-1-header" >
        
          
            <div>
              
                <h6 class="m-0" >
                    Info
                </h6>
            
            </div>
          
        </div>




<table
  id="section-1-content-block-3-collapse-item-1-body"
  class="table table-sm" style="margin-bottom:0.5rem !important; margin-top:0.5rem !important;" 
  data-toggle="table"
  
>
    
    
    
      
      
      
    
      <thead hidden>
        <tr>
            
                
                <th
                  
                >
                  
                </th>
            
                
                <th
                  
                >
                  
                </th>
            
        </tr>
      </thead>

    <tbody>
      <tr>
          <td id="section-1-content-block-3-collapse-item-1-cell-1-1" ><div class="show-scrollbars">Great Expectations Version</div></td><td id="section-1-content-block-3-collapse-item-1-cell-1-2" ><div class="show-scrollbars">0.18.8</div></td></tr><tr>
          <td id="section-1-content-block-3-collapse-item-1-cell-2-1" ><div class="show-scrollbars">Run Name</div></td><td id="section-1-content-block-3-collapse-item-1-cell-2-2" ><div class="show-scrollbars">example_example_run</div></td></tr><tr>
          <td id="section-1-content-block-3-collapse-item-1-cell-3-1" ><div class="show-scrollbars">Run Time</div></td><td id="section-1-content-block-3-collapse-item-1-cell-3-2" ><div class="show-scrollbars">2024-02-15T15:16:53Z</div></td></tr></tbody>
</table>
    
      
      
      <div id="section-1-content-block-3-collapse-item-2-header" >
        
          
            <div>
              
                <h6 class="m-0" >
                    Batch Markers
                </h6>
            
            </div>
          
        </div>




<table
  id="section-1-content-block-3-collapse-item-2-body"
  class="table table-sm" style="margin-bottom:0.5rem !important; margin-top:0.5rem !important;" 
  data-toggle="table"
  
>
    
    
    
      
      
      
    
      <thead hidden>
        <tr>
            
                
                <th
                  
                >
                  
                </th>
            
                
                <th
                  
                >
                  
                </th>
            
        </tr>
      </thead>

    <tbody>
      <tr>
          <td id="section-1-content-block-3-collapse-item-2-cell-1-1" class="pr-3" ><div class="show-scrollbars">
                <span >
                    <span style="word-break:break-all;" >ge_load_time</span>
                </span>
            </div></td><td id="section-1-content-block-3-collapse-item-2-cell-1-2" class="" ><div class="show-scrollbars">
                <span >
                    <span style="word-break:break-all;" >20240215T141653.118864Z</span>
                </span>
            </div></td></tr></tbody>
</table>
    
      
      
      <div id="section-1-content-block-3-collapse-item-3-header" >
        
          
            <div>
              
                <h6 class="m-0" >
                    Batch Spec
                </h6>
            
            </div>
          
        </div>




<table
  id="section-1-content-block-3-collapse-item-3-body"
  class="table table-sm" style="margin-bottom:0.5rem !important; margin-top:0.5rem !important;" 
  data-toggle="table"
  
>
    
    
    
      
      
      
    
      <thead hidden>
        <tr>
            
                
                <th
                  
                >
                  
                </th>
            
                
                <th
                  
                >
                  
                </th>
            
        </tr>
      </thead>

    <tbody>
      <tr>
          <td id="section-1-content-block-3-collapse-item-3-cell-1-1" class="pr-3" ><div class="show-scrollbars">
                <span >
                    <span style="word-break:break-all;" >batch_data</span>
                </span>
            </div></td><td id="section-1-content-block-3-collapse-item-3-cell-1-2" class="" ><div class="show-scrollbars">
                <span >
                    <span style="word-break:break-all;" >SparkDataFrame</span>
                </span>
            </div></td></tr><tr>
          <td id="section-1-content-block-3-collapse-item-3-cell-2-1" class="pr-3" ><div class="show-scrollbars">
                <span >
                    <span style="word-break:break-all;" >data_asset_name</span>
                </span>
            </div></td><td id="section-1-content-block-3-collapse-item-3-cell-2-2" class="" ><div class="show-scrollbars">
                <span >
                    <span style="word-break:break-all;" >IN_MEMORY_DATA_ASSET</span>
                </span>
            </div></td></tr></tbody>
</table>
    
  </div>
</div>

</div>
        
    </div>
</div>
        
          <div id="section-2" class="ge-section container-fluid mb-1 pb-1 pl-sm-3 px-0">
    <div class="row" >
        

<div id="section-2-content-block-1" class="col-12 p-0" >

    <div id="section-2-content-block-1-header" class="alert alert-secondary" >
        <div>
          
                <h5 class="m-0" >
                    Table-Level Expectations
                </h5>
            
        </div>
      
    </div>

</div>
        

<div id="section-2-content-block-2" class="ml-2 mr-2 mt-0 mb-0 table-responsive hide-succeeded-validations-column-section-target-child" >

    



<table
  id="section-2-content-block-2-body"
  class="table" 
  data-toggle="table"
  data-search="True" data-icon-size="sm" 
>
    
    
    
      
    
      <thead >
        <tr>
            
                
                <th
                  data-sortable="True" 
                >
                  Status
                </th>
            
                
                <th
                  
                >
                  Expectation
                </th>
            
                
                <th
                  
                >
                  Observed Value
                </th>
            
        </tr>
      </thead>

    <tbody>
      <tr>
          <td id="section-2-content-block-2-cell-1-1" class="hide-succeeded-validation-target-child" ><div class="show-scrollbars">
                <span >
                    <i class="fas fa-check-circle text-success" ></i>
                </span>
            </div></td><td id="section-2-content-block-2-cell-1-2" ><div class="show-scrollbars">
                <span >
                    Must have these columns in this order: <span class="badge badge-secondary" >STATION</span>, <span class="badge badge-secondary" >NAME</span>, <span class="badge badge-secondary" >DATE</span>, <span class="badge badge-secondary" >AWND</span>, <span class="badge badge-secondary" >PRCP</span>, <span class="badge badge-secondary" >SNOW</span>, <span class="badge badge-secondary" >SNWD</span>, <span class="badge badge-secondary" >TMAX</span>, <span class="badge badge-secondary" >TMIN</span>
                </span>
            </div></td><td id="section-2-content-block-2-cell-1-3" ><div class="show-scrollbars">['STATION', 'NAME', 'DATE', 'AWND', 'PRCP', 'SNOW', 'SNWD', 'TMAX', 'TMIN']</div></td></tr></tbody>
</table>

</div>
        
    </div>
</div>
        
          <div id="section-3" class="ge-section container-fluid mb-1 pb-1 pl-sm-3 px-0">
    <div class="row" >
        

<div id="section-3-content-block-1" class="col-12 p-0" >

    <div id="section-3-content-block-1-header" class="alert alert-secondary" >
        <div>
          
                <h5 class="m-0" >
                    AWND
                </h5>
            
        </div>
      
    </div>

</div>
        

<div id="section-3-content-block-2" class="ml-2 mr-2 mt-0 mb-0 table-responsive hide-succeeded-validations-column-section-target-child" >

    



<table
  id="section-3-content-block-2-body"
  class="table" 
  data-toggle="table"
  data-search="True" data-icon-size="sm" 
>
    
    
    
      
    
      <thead >
        <tr>
            
                
                <th
                  data-sortable="True" 
                >
                  Status
                </th>
            
                
                <th
                  
                >
                  Expectation
                </th>
            
                
                <th
                  
                >
                  Observed Value
                </th>
            
        </tr>
      </thead>

    <tbody>
      <tr>
          <td id="section-3-content-block-2-cell-1-1" class="hide-succeeded-validation-target-child" ><div class="show-scrollbars">
                <span >
                    <i class="fas fa-check-circle text-success" ></i>
                </span>
            </div></td><td id="section-3-content-block-2-cell-1-2" ><div class="show-scrollbars">
                <span >
                    values must not be null, at least <span class="badge badge-secondary" >95</span> % of the time.
                </span>
            



<table
  id="section-3-content-block-2-cell-1-2-content-1-body"
  class="table-bordered table-sm mt-3" 
  data-toggle="table"
  
>
    
    
    
      
    
      <thead >
        <tr>
            
                
                <th
                  
                >
                  Sampled Unexpected Values
                </th>
            
                
                <th
                  
                >
                  Count
                </th>
            
        </tr>
      </thead>

    <tbody>
      <tr>
          <td id="section-3-content-block-2-cell-1-2-content-1-cell-1-1" ><div class="show-scrollbars">null</div></td><td id="section-3-content-block-2-cell-1-2-content-1-cell-1-2" ><div class="show-scrollbars">20</div></td></tr></tbody>
</table></div></td><td id="section-3-content-block-2-cell-1-3" ><div class="show-scrollbars">≈95.09% not null</div></td></tr><tr>
          <td id="section-3-content-block-2-cell-2-1" class="hide-succeeded-validation-target-child" ><div class="show-scrollbars">
                <span >
                    <i class="fas fa-check-circle text-success" ></i>
                </span>
            </div></td><td id="section-3-content-block-2-cell-2-2" ><div class="show-scrollbars">
                <span >
                    values must be of type <span class="badge badge-secondary" >FloatType</span>.
                </span>
            </div></td><td id="section-3-content-block-2-cell-2-3" ><div class="show-scrollbars">FloatType</div></td></tr><tr>
          <td id="section-3-content-block-2-cell-3-1" class="hide-succeeded-validation-target-child" ><div class="show-scrollbars">
                <span >
                    <i class="fas fa-check-circle text-success" ></i>
                </span>
            </div></td><td id="section-3-content-block-2-cell-3-2" ><div class="show-scrollbars">
                <span >
                    minimum value must be greater than or equal to <span class="badge badge-secondary" >0</span> and less than or equal to <span class="badge badge-secondary" >0.01</span>.
                </span>
            </div></td><td id="section-3-content-block-2-cell-3-3" ><div class="show-scrollbars">0</div></td></tr><tr>
          <td id="section-3-content-block-2-cell-4-1" class="hide-succeeded-validation-target-child" ><div class="show-scrollbars">
                <span >
                    <i class="fas fa-check-circle text-success" ></i>
                </span>
            </div></td><td id="section-3-content-block-2-cell-4-2" ><div class="show-scrollbars">
                <span >
                    maximum value must be greater than or equal to <span class="badge badge-secondary" >20</span> and less than or equal to <span class="badge badge-secondary" >25</span>.
                </span>
            </div></td><td id="section-3-content-block-2-cell-4-3" ><div class="show-scrollbars">≈22.81999969</div></td></tr></tbody>
</table>

</div>
        
    </div>
</div>
        
          <div id="section-4" class="ge-section container-fluid mb-1 pb-1 pl-sm-3 px-0">
    <div class="row" >
        

<div id="section-4-content-block-1" class="col-12 p-0" >

    <div id="section-4-content-block-1-header" class="alert alert-secondary" >
        <div>
          
                <h5 class="m-0" >
                    DATE
                </h5>
            
        </div>
      
    </div>

</div>
        

<div id="section-4-content-block-2" class="ml-2 mr-2 mt-0 mb-0 table-responsive hide-succeeded-validations-column-section-target-child" >

    



<table
  id="section-4-content-block-2-body"
  class="table" 
  data-toggle="table"
  data-search="True" data-icon-size="sm" 
>
    
    
    
      
    
      <thead >
        <tr>
            
                
                <th
                  data-sortable="True" 
                >
                  Status
                </th>
            
                
                <th
                  
                >
                  Expectation
                </th>
            
                
                <th
                  
                >
                  Observed Value
                </th>
            
        </tr>
      </thead>

    <tbody>
      <tr>
          <td id="section-4-content-block-2-cell-1-1" class="hide-succeeded-validation-target-child" ><div class="show-scrollbars">
                <span >
                    <i class="fas fa-check-circle text-success" ></i>
                </span>
            </div></td><td id="section-4-content-block-2-cell-1-2" ><div class="show-scrollbars">
                <span >
                    values must not be null, at least <span class="badge badge-secondary" >95</span> % of the time.
                </span>
            </div></td><td id="section-4-content-block-2-cell-1-3" ><div class="show-scrollbars">100% not null</div></td></tr></tbody>
</table>

</div>
        
    </div>
</div>
        
          <div id="section-5" class="ge-section container-fluid mb-1 pb-1 pl-sm-3 px-0">
    <div class="row" >
        

<div id="section-5-content-block-1" class="col-12 p-0" >

    <div id="section-5-content-block-1-header" class="alert alert-secondary" >
        <div>
          
                <h5 class="m-0" >
                    NAME
                </h5>
            
        </div>
      
    </div>

</div>
        

<div id="section-5-content-block-2" class="ml-2 mr-2 mt-0 mb-0 table-responsive hide-succeeded-validations-column-section-target-child" >

    



<table
  id="section-5-content-block-2-body"
  class="table" 
  data-toggle="table"
  data-search="True" data-icon-size="sm" 
>
    
    
    
      
    
      <thead >
        <tr>
            
                
                <th
                  data-sortable="True" 
                >
                  Status
                </th>
            
                
                <th
                  
                >
                  Expectation
                </th>
            
                
                <th
                  
                >
                  Observed Value
                </th>
            
        </tr>
      </thead>

    <tbody>
      <tr>
          <td id="section-5-content-block-2-cell-1-1" class="hide-succeeded-validation-target-child" ><div class="show-scrollbars">
                <span >
                    <i class="fas fa-check-circle text-success" ></i>
                </span>
            </div></td><td id="section-5-content-block-2-cell-1-2" ><div class="show-scrollbars">
                <span >
                    values must be of type <span class="badge badge-secondary" >StringType</span>.
                </span>
            </div></td><td id="section-5-content-block-2-cell-1-3" ><div class="show-scrollbars">StringType</div></td></tr><tr>
          <td id="section-5-content-block-2-cell-2-1" class="hide-succeeded-validation-target-child" ><div class="show-scrollbars">
                <span >
                    <i class="fas fa-check-circle text-success" ></i>
                </span>
            </div></td><td id="section-5-content-block-2-cell-2-2" ><div class="show-scrollbars">
                <span >
                    values must not be null, at least <span class="badge badge-secondary" >99</span> % of the time.
                </span>
            </div></td><td id="section-5-content-block-2-cell-2-3" ><div class="show-scrollbars">100% not null</div></td></tr><tr>
          <td id="section-5-content-block-2-cell-3-1" class="hide-succeeded-validation-target-child" ><div class="show-scrollbars">
                <span >
                    <i class="fas fa-check-circle text-success" ></i>
                </span>
            </div></td><td id="section-5-content-block-2-cell-3-2" ><div class="show-scrollbars">
                <span >
                    values must be unique, at least <span class="badge badge-secondary" >0</span> % of the time.
                </span>
            



<table
  id="section-5-content-block-2-cell-3-2-content-1-body"
  class="table-bordered table-sm mt-3" 
  data-toggle="table"
  
>
    
    
    
      
    
      <thead >
        <tr>
            
                
                <th
                  
                >
                  Sampled Unexpected Values
                </th>
            
                
                <th
                  
                >
                  Count
                </th>
            
        </tr>
      </thead>

    <tbody>
      <tr>
          <td id="section-5-content-block-2-cell-3-2-content-1-cell-1-1" ><div class="show-scrollbars">NY CITY CENTRAL PARK, NY US</div></td><td id="section-5-content-block-2-cell-3-2-content-1-cell-1-2" ><div class="show-scrollbars">20</div></td></tr></tbody>
</table></div></td><td id="section-5-content-block-2-cell-3-3" ><div class="show-scrollbars">100% unexpected</div></td></tr></tbody>
</table>

</div>
        
    </div>
</div>
        
          <div id="section-6" class="ge-section container-fluid mb-1 pb-1 pl-sm-3 px-0">
    <div class="row" >
        

<div id="section-6-content-block-1" class="col-12 p-0" >

    <div id="section-6-content-block-1-header" class="alert alert-secondary" >
        <div>
          
                <h5 class="m-0" >
                    STATION
                </h5>
            
        </div>
      
    </div>

</div>
        

<div id="section-6-content-block-2" class="ml-2 mr-2 mt-0 mb-0 table-responsive hide-succeeded-validations-column-section-target-child" >

    



<table
  id="section-6-content-block-2-body"
  class="table" 
  data-toggle="table"
  data-search="True" data-icon-size="sm" 
>
    
    
    
      
    
      <thead >
        <tr>
            
                
                <th
                  data-sortable="True" 
                >
                  Status
                </th>
            
                
                <th
                  
                >
                  Expectation
                </th>
            
                
                <th
                  
                >
                  Observed Value
                </th>
            
        </tr>
      </thead>

    <tbody>
      <tr>
          <td id="section-6-content-block-2-cell-1-1" class="hide-succeeded-validation-target-child" ><div class="show-scrollbars">
                <span >
                    <i class="fas fa-check-circle text-success" ></i>
                </span>
            </div></td><td id="section-6-content-block-2-cell-1-2" ><div class="show-scrollbars">
                <span >
                    values length must match the input length of <span class="badge badge-secondary" >11</span>.
                </span>
            </div></td><td id="section-6-content-block-2-cell-1-3" ><div class="show-scrollbars">0% unexpected</div></td></tr><tr>
          <td id="section-6-content-block-2-cell-2-1" class="hide-succeeded-validation-target-child" ><div class="show-scrollbars">
                <span >
                    <i class="fas fa-check-circle text-success" ></i>
                </span>
            </div></td><td id="section-6-content-block-2-cell-2-2" ><div class="show-scrollbars">
                <span >
                    values must be of type <span class="badge badge-secondary" >StringType</span>.
                </span>
            </div></td><td id="section-6-content-block-2-cell-2-3" ><div class="show-scrollbars">StringType</div></td></tr><tr>
          <td id="section-6-content-block-2-cell-3-1" class="hide-succeeded-validation-target-child" ><div class="show-scrollbars">
                <span >
                    <i class="fas fa-check-circle text-success" ></i>
                </span>
            </div></td><td id="section-6-content-block-2-cell-3-2" ><div class="show-scrollbars">
                <span >
                    values must not be null, at least <span class="badge badge-secondary" >99</span> % of the time.
                </span>
            </div></td><td id="section-6-content-block-2-cell-3-3" ><div class="show-scrollbars">100% not null</div></td></tr><tr>
          <td id="section-6-content-block-2-cell-4-1" class="hide-succeeded-validation-target-child" ><div class="show-scrollbars">
                <span >
                    <i class="fas fa-check-circle text-success" ></i>
                </span>
            </div></td><td id="section-6-content-block-2-cell-4-2" ><div class="show-scrollbars">
                <span >
                    values must be <span class="badge badge-secondary" >11</span> characters long.
                </span>
            </div></td><td id="section-6-content-block-2-cell-4-3" ><div class="show-scrollbars">0% unexpected</div></td></tr><tr>
          <td id="section-6-content-block-2-cell-5-1" class="hide-succeeded-validation-target-child" ><div class="show-scrollbars">
                <span >
                    <i class="fas fa-check-circle text-success" ></i>
                </span>
            </div></td><td id="section-6-content-block-2-cell-5-2" ><div class="show-scrollbars">
                <span >
                    values must match this regular expression: <span class="badge badge-secondary" >[A-Z]{3}\d{8}</span>.
                </span>
            </div></td><td id="section-6-content-block-2-cell-5-3" ><div class="show-scrollbars">0% unexpected</div></td></tr></tbody>
</table>

</div>
        
    </div>
</div>
        
        </div>
      </div>
    </div>
    
<footer>
  <p>Stay current on everything GX with our newsletter <a href="https://greatexpectations.io/newsletter?utm_source=datadocs&utm_medium=product&utm_campaign=newsletter&utm_content=form">Subscribe</a></p>
</footer>
  </body>
</html>